Subject: beta17 compile errors

From: Shane Wegner <[email-masked]>
Date: Tue, 19 May 1998 14:04:49 -0700 (PDT)

-----BEGIN PGP SIGNED MESSAGE-----

Hello all,

I was able to compile beta16 find but I get this when trying to compile
beta17.
continuum:~/wu-ftpd-2.4.2-beta-17# build lnx
make args are :
make opts are :

Linking Makefiles.

Making support library.
gcc  -O6 -fomit-frame-pointer -fno-strength-reduce -pipe   -c strcasestr.c
gcc  -O6 -fomit-frame-pointer -fno-strength-reduce -pipe   -c authuser.c
gcc  -O6 -fomit-frame-pointer -fno-strength-reduce -pipe   -c snprintf.c
rm -f libsupport.a
ar cq libsupport.a strcasestr.o authuser.o snprintf.o
ranlib libsupport.a

Making ftpd.
gcc -O6 -fomit-frame-pointer -fno-strength-reduce -pipe -I.. -I../support
- -L../support -s   -c ftpd.c -o ftpd.o
ftpd.c: In function `main':
ftpd.c:385: warning: return type of `main' is not `int'
ftpd.c: In function `statcmd':
ftpd.c:2719: `bytesize' undeclared (first use in this function)
ftpd.c:2719: (Each undeclared identifier is reported only once
ftpd.c:2719: for each function it appears in.)
make: *** [ftpd.o] Error 1

Anyone know how this can be fixed?  I am using Slackware Linux 3.4 (gcc
2.8.1 (linuxthreads))

- -
Shane Wegner		<[email-masked]>
Sysadmin:		Continuum Systems <http://www.cm.nu>
Personal website:	http://www.www.cm.nu/~shane
Virtualisys:		http://www.virtualisys.com/vr/swegner
PGP key:		finger [email-masked]